Skip to main content
PATCH
Update a deadline

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Unique deadline identifier.

Body

application/json

JSON request payload.

active
boolean

Updated active state.

Example:

false

color
string

Updated hex color.

Example:

"#00FF00"

description
string

Updated deadline description.

Example:

"Updated description"

dueDate
string<date-time>

Updated deadline due date and time.

Example:

"2026-06-30T23:59:59Z"

frequency
string

Updated recurrence frequency.

Example:

"annual"

monthsOfYear
integer<int64>[] | null

Updated recurrence months.

Example:
name
string

Updated human-readable deadline name.

Example:

"Updated Report Name"

notifyDaysBefore
integer<int64>

Updated notification lead time in days.

Example:

10

templateId
string

Updated template identifier.

Example:

"00000000-0000-0000-0000-000000000001"

type
string

Updated deadline category.

Example:

"custom"

Response

OK

active
boolean

Whether the deadline is active.

Example:

true

color
string

Hex color used to identify the deadline.

Example:

"#FF5733"

createdAt
string<date-time>

Date and time when the deadline was created.

Example:

"2026-01-01T00:00:00Z"

deliveredAt
string<date-time>

Date and time when the deadline was delivered.

Example:

"2026-03-15T10:00:00Z"

description
string

Optional deadline description.

Example:

"Monthly regulatory compliance report"

dueDate
string<date-time>

Date and time when the deadline is due.

Example:

"2026-03-31T23:59:59Z"

frequency
string

Deadline recurrence frequency.

Example:

"monthly"

id
string

Unique deadline identifier.

Example:

"00000000-0000-0000-0000-000000000000"

monthsOfYear
integer<int64>[] | null

Months in which a semiannual or annual deadline occurs.

Example:
name
string

Human-readable deadline name.

Example:

"Monthly Regulatory Report"

notifyDaysBefore
integer<int64>

Days before the due date when notifications begin.

Example:

5

status
string

Current derived deadline status.

Example:

"pending"

templateId
string

Template used to generate the report.

Example:

"00000000-0000-0000-0000-000000000000"

templateName
string

Human-readable name of the associated template.

Example:

"Financial Template"

type
string

Deadline category.

Example:

"regulatory"

updatedAt
string<date-time>

Date and time when the deadline was last updated.

Example:

"2026-01-01T00:00:00Z"